<!DOCTYPE html>
<html lang="es" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content="Wings Mobile - SoftSwitch Administrator"/>
    <meta name="author" content="Mauricio Biasutto"/>
    <title>Pagos - Wings Mobile</title>
    <link rel="bookmark" th:href="@{/img/favicon.png}"/>
    <link rel="shortcut icon" th:href="@{/img/favicon.ico}"/>
    <link href="/css/font-awesome.min.css" th:href="@{/css/font-awesome.min.css}" rel="stylesheet"/>
    <link href="https://fonts.googleapis.com/css?family=Roboto" rel="stylesheet">
    <link href="/css/sb-admin-2.css" th:href="@{/css/sb-admin-2.css}" rel="stylesheet"/>
    <link th:href="@{/css/style.css}" rel="stylesheet"/>
    <link th:href="@{/css/navigation-style.css}" rel="stylesheet"/>
</head>
<body id="page-top">

<div class="page-wrapper chiller-theme toggled">
    <div th:replace="@{frags/navigation}"></div>
    <main class="page-content">
        <div class="container-fluid">
            <div th:replace="@{frags/topbar}"></div>
            <div class="container-fluid">
                <div id="ui-view"></div>
            </div>

            <div class="row">

                <div class="col-lg-12">
                    <nav class="navbar navbar-expand navbar-light bg-white topbar mb-4 static-top shadow">
                        <div class="col-lg-2">
                            <h4 class="text-gray-800" th:text="${titulo}"></h4>
                        </div>
                    </nav>
                </div>
            </div>

            <div th:class="container-fluid" style="margin-bottom: 1em;">
                <div class="card" >
                    <div class="card-body p-0">
                        <div class="card-header h5"><i class="fa fa-info-circle"></i></i><strong th:text="| #{gateway.implementation.details}|">Detalles de Implementación</strong></strong></div>
                        <form th:method="post">
                            <input type="hidden" th:value="${gatewayImplementation.getId()}"
                                   th:name="id" id="id"/>
                            <div class="container-fluid row mt-4">
                                <fieldset disabled >
                                    <div class="form-group">
                                        <label for="gatewayImplId" th:text="|#{gateway.implementation.id}:|">ID: </label>
                                        <input class="form-control" type="text" size=3 name="gatewayImplId" id="gatewayImplId" th:value="${gatewayImplementation.getId()}"/>
                                    </div>
                                </fieldset>
                                <fieldset disabled class="fieldset-space">
                                    <div class="form-group">
                                        <label th:text="|#{gateway.implementation.country}:|">País:</label>
                                        <div class="form-inline">
                                            <div class="d-inline mr-1" th:text="${gatewayImplementation.getCountry()}" id="gatewayFlag"></div>
                                            <input class="d-inline form-control" type="text" size=15 name="gatewayImplName" th:placeholder=" #{${gatewayImplementation.getCountry()}}" disabled="disabled"/>
                                        </div>
                                    </div>
                                </fieldset>
                                <fieldset class="fieldset-space">
                                    <label for="gatewayImplEnabled" th:text="|#{gateway.impl.enabled}:|">Habilitado: </label>
                                    <div class="form-group">
                                        <select th:name="gatewayImplEnabled" id="gatewayImplEnabled" class="btn btn-default dropdown-toggle modified" disabled="true">
                                            <option th:value="${gatewayImplementation.getEnabled() == true}? '1':'0'" th:text="${gatewayImplementation.getEnabled()}? #{gateway.impl.enabled.yes}: #{gateway.impl.enabled.no}"></option>
                                            <option th:value="${gatewayImplementation.getEnabled() == false}? '1':'0'" th:text="${gatewayImplementation.getEnabled()}? #{gateway.impl.enabled.no}: #{gateway.impl.enabled.yes}"></option>
                                        </select>
                                    </div>
                                </fieldset>

                                <fieldset class="fieldset-space">
                                    <label for="gatewayImplTest" th:text="|#{gateway.implementation.test}:|">Test: </label>
                                    <div class="form-group">

                                        <select th:name="gatewayImplTest" class="btn btn-default dropdown-toggle modified" id="gatewayImplTest" disabled="true">
                                            <option th:value="${gatewayImplementation.getTest() == true}? '1':'0'" th:text="${gatewayImplementation.getTest()}? #{gateway.impl.test.yes}: #{gateway.impl.test.no}"></option>
                                            <option th:value="${gatewayImplementation.getTest() == false}? '1':'0'" th:text="${gatewayImplementation.getTest()}? #{gateway.impl.test.no}: #{gateway.impl.test.yes}"></option>
                                        </select>
                                    </div>
                                </fieldset>
                                <fieldset disabled class="fieldset-space">
                                    <div class="form-group">
                                        <label for="gatewayImplName" th:text="|#{gateway.implementation.name}:|">Nombre: </label><input class="form-control" type="text" size=40 name="gatewayImplName" id="gatewayImplName" th:value=" ${gatewayImplementation.getName()}" disabled="disabled">
                                    </div>
                                </fieldset>

                                <div class="col">
                                    <i class="fas fa-trash-alt float-right fa-2x" id="delete-implementation" th:attr="data-id=${gatewayImplementation.getId()}"></i>
                                    <i class="fas fa-save mr-2 float-right fa-2x" id="save"></i>
                                    <i class="fa fa-edit mr-2 float-right fa-2x" id="gateway-details-edit"></i>
                                </div>
                            </div>
                            <div class="container-fluid">
                                <div class="row">
                                    <div class="col">
                                        <div th:if="${gipProd.size() > 0}">
                                            <h6 class="card-title text-center mt-4"><strong th:text="#{gateway.impl.properties.prod}">Propiedades de implementación: PRODUCCIÓN</strong></h6>
                                            <hr/>
                                            <table class="table">
                                                <tr class="table-active d-flex">
                                                    <th class="col-3" th:text="#{gateway.impl.property.prod.name}">Nombre</th>
                                                    <th class="col-9" th:text="#{gateway.impl.property.prod.value}">Valor de propiedad</th>
                                                </tr>
                                                <tr class="d-flex" th:each="gip : ${gipProd}">
                                                    <td class="col-3" th:text="${gip.getPropertyName()}"></td>
                                                    <td class="col-9 modified"th:name="|property-valuename-prod-${gip.getPropertyName()}|"
                                                        th:value="${gip.getPropertyValue()}"
                                                        th:attr="data-id=${gip.getId()}"
                                                        th:utext="${gip.getPropertyValue()}"/></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                    <hr/>
                                    <div class="col">
                                        <div th:if="${gipTest.size() > 0}">
                                            <h6 class="card-title text-center mt-4"><strong th:text="#{gateway.impl.properties.test}">Propiedades de implementación: TESTING</strong></h6>
                                            <hr/>
                                            <table class="table">
                                                <tr class="table-active d-flex">
                                                    <th class="col-3" th:text="#{gateway.impl.property.test.name}">Nombre</th>
                                                    <th class="col-9" th:text="#{gateway.impl.property.test.value}">Valor de propiedad</th>
                                                </tr>
                                                <tr class="d-flex" th:each="gip : ${gipTest}">
                                                    <td class="col-3" th:text="${gip.getPropertyName()}"></td>
                                                    <td class="col-9 modified"
                                                        th:name="|property-valuename-test-${gip.getPropertyName()}|"
                                                        th:value="${gip.getPropertyValue()}"
                                                        th:attr="data-id=${gip.getId()}"
                                                        th:text="${gip.getPropertyValue()}"></td>
                                                </tr>
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <div id="i18n_save_fields_title" th:text="#{popup.msg.save.fields.title }" style="display:none;"></div>
                            <div id="i18n_save_fields_message" th:text="#{popup.msg.save.fields.message}" style="display:none;"></div>
                            <div id="i18n_save_msg_success" th:text="#{popup.msg.save.success}" style="display:none;"></div>
                            <div id="i18n_save_msg_error" th:text="#{popup.msg.save.error}" style="display:none;"></div>
                            <div id="i18n_delete_impl_title" th:text="#{popup.msg.delete.impl.title}" style="display:none;"></div>
                            <div id="i18n_delete_impl_msg" th:text="#{popup.msg.delete.impl.message}" style="display:none;"></div>
                            <div id="i18n_delete_impl_msg_success" th:text="#{popup.msg.dlt.impl.success}" style="display:none;"></div>
                            <div id="i18n_delete_impl_msg_error" th:text="#{popup.msg.dlt.impl.error}" style="display:none;"></div>
                            <hr/>
                        </form>
                        <br>
                        <a th:href="@{/admin/gateways}" class="btn btn-primary active float-right mr-2 mb-2" th:text="#{gateway.impl.btn.back}">Regresar</a>
                    </div>
                </div>
            </div>
        </div>
        <div th:replace="@{frags/footer-logged}"></div>
    </main>
</div>
<script th:src="@{/js/sweetalert.min.js}"></script>
<script th:src="@{/js/jquery.min.js}"></script>
<script th:src="@{/js/popper.min.js}"></script>
<script th:src="@{/js/bootstrap.min.js}"></script>
<script th:src="@{/js/fontawesome.js}"></script>
<script th:src="@{/js/gateways/http-services.js}"></script>
<script th:src="@{/js/gateways/utils.js}"></script>
</body>
</html>